ETristateFlag (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.ETristateFlag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nokia.carbide.cpp.epoc.engine.model
Enum ETristateFlag

    java.lang.Object
      java.lang.Enum<ETristateFlag>
          com.nokia.carbide.cpp.epoc.engine.model.ETristateFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ETristateFlag>

    public enum ETristateFlag

extends java.lang.Enum<ETristateFlag>

Generic enum representing a flag either explicitly enabled or disabled, or one which is unspecified.

Enum Constant Summary
`DISABLED`
`ENABLED`
`UNSPECIFIED`

Method Summary
`static ETristateFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ETristateFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPECIFIED

    public static final ETristateFlag UNSPECIFIED

### ENABLED

    public static final ETristateFlag ENABLED

### DISABLED

    public static final ETristateFlag DISABLED

Method Detail

### values

    public static final ETristateFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ETristateFlag c : ETristateFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ETristateFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD